define(["require", "exports", "../../../Styling", "../../../Utilities"], function (require, exports, Styling_1, Utilities_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DEFAULT_BUTTON_HEIGHT = '32px';
    var DEFAULT_PADDING = '0 4px';
    exports.getStyles = Utilities_1.memoizeFunction(function (theme, customStyles) {
        var iconButtonStyles = {
            splitButtonContainer: {
                position: 'absolute',
                border: '1px solid transparent',
                ':hover': {
                    border: '1px solid',
                    borderColor: theme.palette.neutralLight
                },
                ':focus': {
                    outline: 'none!important',
                    border: '1px solid',
                    borderColor: theme.palette.neutralDark
                }
            },
            splitButtonContainerDisabled: {
                position: 'absolute',
            },
            splitButtonMenuButton: {
                backgroundColor: theme.palette.neutralLighter,
                padding: '6px',
                ':hover': {
                    backgroundColor: theme.palette.neutralLight
                }
            },
            splitButtonMenuButtonDisabled: {
                backgroundColor: theme.palette.neutralLighter,
            },
            splitButtonMenuIcon: {
                color: theme.palette.neutralPrimary
            },
            splitButtonMenuIconDisabled: {
                color: theme.palette.neutralTertiary
            },
            splitButtonMenuButtonChecked: {
                backgroundColor: theme.palette.themePrimary,
            },
        };
        return Styling_1.mergeStyleSets(iconButtonStyles, customStyles);
    });
});

//# sourceMappingURL=SplitButton.styles.js.map
