import * as React from 'react';
import { BaseComponent } from '../../Utilities';
export interface IColorSliderProps {
    minValue?: number;
    maxValue?: number;
    value?: number;
    thumbColor?: string;
    overlayStyle?: any;
    onChanged?: (newValue: number) => void;
    className?: string;
    style?: any;
}
export interface IColorSliderState {
    isAdjusting?: boolean;
    origin?: {
        x: number;
        originalValue: number;
    };
    currentValue?: number;
}
export declare class ColorSlider extends BaseComponent<IColorSliderProps, IColorSliderState> {
    static defaultProps: {
        minValue: number;
        maxValue: number;
        thumbColor: string;
        value: number;
    };
    refs: {
        [key: string]: React.ReactInstance;
        root: HTMLElement;
    };
    constructor(props: IColorSliderProps);
    componentWillReceiveProps(newProps: IColorSliderProps): void;
    render(): JSX.Element;
    private _onMouseDown(ev);
    private _onMouseMove(ev);
    private _onMouseUp(ev);
}
